package com.ruoyi.project.training.service;

import com.ruoyi.project.training.domain.TTraining;
import org.apache.poi.xwpf.usermodel.XWPFDocument;
import org.apache.poi.xwpf.usermodel.XWPFParagraph;
import org.apache.poi.xwpf.usermodel.XWPFRun;

import java.util.List;

/**
 * 培训计划Service接口
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public interface ITTrainingService
{
    /**
     * 查询培训计划
     *
     * @param id 培训计划ID
     * @return 培训计划
     */
    public TTraining selectTTrainingById(Long id);

    /**
     * 查询培训计划
     *
     * @param regularId 装置培训计划ID
     * @return 培训计划
     */
    public TTraining selectTTrainingByRegularId(Long regularId);

    /**
     * 查询培训计划列表
     *
     * @param tTraining 培训计划
     * @return 培训计划集合
     */
    public List<TTraining> selectTTrainingList(TTraining tTraining);

    public List<TTraining> countTTraining(TTraining tTraining);

    /**
     * 新增培训计划
     *
     * @param tTraining 培训计划
     * @return 结果
     */
    public int insertTTraining(TTraining tTraining);

    /**
     * 修改培训计划
     *
     * @param tTraining 培训计划
     * @return 结果
     */
    public int updateTTraining(TTraining tTraining);

    /**
     * 批量删除培训计划
     *
     * @param ids 需要删除的培训计划ID
     * @return 结果
     */
    public int deleteTTrainingByIds(Long[] ids);

    /**
     * 删除培训计划信息
     *
     * @param id 培训计划ID
     * @return 结果
     */
    public int deleteTTrainingById(Long id);

    void dealTraininglist(XWPFDocument doc, XWPFParagraph paragraph, XWPFRun run, Long meetingId);
}
